SmilesExt
Date: 2019-10-22

org.jmol.scriptext

## Class SmilesExt

- java.lang.Object
- - org.jmol.scriptext.SmilesExt

-     public class SmilesExt
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ScriptEval` | `e`
    `private SmilesMatcherInterface` | `sm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SmilesExt()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float[]` | `getFlexFitList(javajs.util.BS bs1, javajs.util.BS bs2, java.lang.String smiles1, boolean isSmarts)`
    `float` | `getSmilesCorrelation(javajs.util.BS bsA, javajs.util.BS bsB, java.lang.String smiles, javajs.util.Lst<javajs.util.P3> ptsA, javajs.util.Lst<javajs.util.P3> ptsB, javajs.util.M4 m4, javajs.util.Lst<javajs.util.BS> vReturn, boolean asMap, int[][] mapSet, javajs.util.P3 center, boolean bestMap, int flags)` The major interface to org.jmol.smiles, this method allows for a wide variety of correlation functionality.
    `java.lang.Object` | `getSmilesMatches(java.lang.String pattern, java.lang.String smiles, javajs.util.BS bsSelected, javajs.util.BS bsMatch3D, int flags, boolean asOneBitset, boolean firstMatchOnly)`
    `private static void` | `getTorsions(Atom[] atoms, int[][] bondMap, float[][] diff, int pt)`
    `SmilesExt` | `init(java.lang.Object se)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### e

          private ScriptEval e

    - #### sm

          private SmilesMatcherInterface sm

  - ### Constructor Detail

    - #### SmilesExt

          public SmilesExt()

  - ### Method Detail

    - #### init

          public SmilesExt init(java.lang.Object se)

    - #### getSmilesCorrelation

          public float getSmilesCorrelation(javajs.util.BS bsA,
                                            javajs.util.BS bsB,
                                            java.lang.String smiles,
                                            javajs.util.Lst<javajs.util.P3> ptsA,
                                            javajs.util.Lst<javajs.util.P3> ptsB,
                                            javajs.util.M4 m4,
                                            javajs.util.Lst<javajs.util.BS> vReturn,
                                            boolean asMap,
                                            int[][] mapSet,
                                            javajs.util.P3 center,
                                            boolean bestMap,
                                            int flags)
                                     throws ScriptException

      The major interface to org.jmol.smiles, this method allows for a wide variety of correlation functionality.
      Parameters:
        `bsA` -
        `bsB` -
        `smiles` -
        `ptsA` -
        `ptsB` -
        `m4` -
        `vReturn` -
        `asMap` -
        `mapSet` -
        `center` -
        `bestMap` -
        `flags` -
      Returns:
        standard deviation
      Throws:
        `ScriptException`

    - #### getSmilesMatches

          public java.lang.Object getSmilesMatches(java.lang.String pattern,
                                                   java.lang.String smiles,
                                                   javajs.util.BS bsSelected,
                                                   javajs.util.BS bsMatch3D,
                                                   int flags,
                                                   boolean asOneBitset,
                                                   boolean firstMatchOnly)
                                            throws ScriptException

      Parameters:
        `pattern` - e
        `smiles` -
        `bsSelected` -
        `bsMatch3D` -
        `flags` -
        `asOneBitset` -
        `firstMatchOnly` -
      Returns:
        Object
      Throws:
        `ScriptException`

    - #### getFlexFitList

          public float[] getFlexFitList(javajs.util.BS bs1,
                                        javajs.util.BS bs2,
                                        java.lang.String smiles1,
                                        boolean isSmarts)
                                 throws ScriptException

      Throws:
        `ScriptException`

    - #### getTorsions

          private static void getTorsions(Atom[] atoms,
                                          int[][] bondMap,
                                          float[][] diff,
                                          int pt)